summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2017-08-18 00:40:26 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2017-08-18 00:41:45 +0200
commit0bb05cf38855b0e72b6ce7c8a16b1401cb70f097 (patch)
tree622d7ff6df954e0c978a7b9b3db024092842b614 /sys-boot
parentgnome-extra/gnome-contacts: fix build with vala-0.35+, bug #627986 (diff)
downloadgentoo-0bb05cf38855b0e72b6ce7c8a16b1401cb70f097.tar.gz
gentoo-0bb05cf38855b0e72b6ce7c8a16b1401cb70f097.tar.bz2
gentoo-0bb05cf38855b0e72b6ce7c8a16b1401cb70f097.zip
sys-boot/plymouth: fix build with newer glibc, bug #604480
Fix missing dependency on xsltproc and XSL stylesheets as required to build man pages, bug #628078. Package-Manager: Portage-2.3.7, Repoman-2.3.3
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/plymouth/files/0.9.3-glibc-sysmacros.patch45
-rw-r--r--sys-boot/plymouth/plymouth-0.9.3-r1.ebuild99
-rw-r--r--sys-boot/plymouth/plymouth-9999.ebuild3
3 files changed, 146 insertions, 1 deletions
diff --git a/sys-boot/plymouth/files/0.9.3-glibc-sysmacros.patch b/sys-boot/plymouth/files/0.9.3-glibc-sysmacros.patch
new file mode 100644
index 00000000000..8969161bb19
--- /dev/null
+++ b/sys-boot/plymouth/files/0.9.3-glibc-sysmacros.patch
@@ -0,0 +1,45 @@
+From f8d7813b32dfe129d1e5718719ee3eff131f4fac Mon Sep 17 00:00:00 2001
+From: Kjell Claesson <kjell.claesson@epost.tidanet.se>
+Date: Fri, 18 Aug 2017 00:25:56 +0200
+Subject: [PATCH] Fix build with newer glibc
+
+Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org>
+---
+ configure.ac | 1 +
+ src/libply-splash-core/ply-terminal.c | 8 ++++++++
+ 2 files changed, 9 insertions(+)
+
+diff --git a/configure.ac b/configure.ac
+index c32697f..8376789 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -5,6 +5,7 @@ AC_CONFIG_AUX_DIR(build-tools)
+
+ AC_USE_SYSTEM_EXTENSIONS
+ AC_SYS_LARGEFILE
++AC_HEADER_MAJOR
+ AC_PROG_AWK
+ AC_PROG_CC_STDC
+ AM_PROG_CC_C_O
+diff --git a/src/libply-splash-core/ply-terminal.c b/src/libply-splash-core/ply-terminal.c
+index a0954f2..ef62bf8 100644
+--- a/src/libply-splash-core/ply-terminal.c
++++ b/src/libply-splash-core/ply-terminal.c
+@@ -36,6 +36,14 @@
+ #include <unistd.h>
+ #include <wchar.h>
+
++/* major()/minor() */
++#ifdef MAJOR_IN_MKDEV
++# include <sys/mkdev.h>
++#endif
++#ifdef MAJOR_IN_SYSMACROS
++# include <sys/sysmacros.h>
++#endif
++
+ #include <linux/kd.h>
+ #include <linux/major.h>
+ #include <linux/vt.h>
+--
+2.14.1
+
diff --git a/sys-boot/plymouth/plymouth-0.9.3-r1.ebuild b/sys-boot/plymouth/plymouth-0.9.3-r1.ebuild
new file mode 100644
index 00000000000..3f5694b8600
--- /dev/null
+++ b/sys-boot/plymouth/plymouth-0.9.3-r1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+SRC_URI="https://dev.gentoo.org/~aidecoe/distfiles/${CATEGORY}/${PN}/gentoo-logo.png"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="git://anongit.freedesktop.org/plymouth"
+ inherit git-r3
+else
+ SRC_URI="${SRC_URI} https://www.freedesktop.org/software/plymouth/releases/${P}.tar.xz"
+fi
+
+inherit autotools readme.gentoo-r1 systemd toolchain-funcs
+
+DESCRIPTION="Graphical boot animation (splash) and logger"
+HOMEPAGE="https://cgit.freedesktop.org/plymouth/"
+
+LICENSE="GPL-2"
+SLOT="0"
+[[ ${PV} == 9999 ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="debug gdm +gtk +libkms +pango static-libs"
+
+CDEPEND="
+ >=media-libs/libpng-1.2.16:=
+ gtk? (
+ dev-libs/glib:2
+ >=x11-libs/gtk+-3.14:3
+ x11-libs/cairo )
+ libkms? ( x11-libs/libdrm[libkms] )
+ pango? ( >=x11-libs/pango-1.21 )
+"
+DEPEND="${CDEPEND}
+ app-text/docbook-xsl-stylesheets
+ dev-libs/libxslt
+ virtual/pkgconfig
+"
+# Block due bug #383067
+RDEPEND="${CDEPEND}
+ virtual/udev
+ !<sys-kernel/dracut-0.37-r3
+"
+
+DOC_CONTENTS="
+ Follow the following instructions to set up Plymouth:\n
+ https://wiki.gentoo.org/wiki/Plymouth#Configuration
+"
+
+PATCHES=(
+ "${FILESDIR}"/0.9.3-glibc-sysmacros.patch
+)
+
+src_configure() {
+ local myconf
+ myconf="--with-system-root-install=no
+ --localstatedir=/var
+ --without-rhgb-compat-link
+ --enable-documentation
+ --enable-systemd-integration
+ --with-systemdunitdir="$(systemd_get_systemunitdir)"
+ $(use_enable !static-libs shared)
+ $(use_enable static-libs static)
+ $(use_enable debug tracing)
+ $(use_enable gtk gtk)
+ $(use_enable libkms drm)
+ $(use_enable pango)
+ $(use_enable gdm gdm-transition)"
+ eautoreconf
+ econf ${myconf}
+}
+
+src_install() {
+ default
+
+ insinto /usr/share/plymouth
+ newins "${DISTDIR}"/gentoo-logo.png bizcom.png
+
+ # Install compatibility symlinks as some rdeps hardcode the paths
+ dosym /usr/bin/plymouth /bin/plymouth
+ dosym /usr/sbin/plymouth-set-default-theme /sbin/plymouth-set-default-theme
+ dosym /usr/sbin/plymouthd /sbin/plymouthd
+
+ readme.gentoo_create_doc
+
+ # looks like make install create /var/run/plymouth
+ # this is not needed for systemd, same should hold for openrc
+ # so remove
+ rm -rf "${D}"/var/run
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+ if ! has_version "sys-kernel/dracut" && ! has_version "sys-kernel/genkernel-next[plymouth]"; then
+ ewarn "If you want initramfs builder with plymouth support, please emerge"
+ ewarn "sys-kernel/dracut or sys-kernel/genkernel-next[plymouth]."
+ fi
+}
diff --git a/sys-boot/plymouth/plymouth-9999.ebuild b/sys-boot/plymouth/plymouth-9999.ebuild
index 45f6e2cec40..49ce1012fe8 100644
--- a/sys-boot/plymouth/plymouth-9999.ebuild
+++ b/sys-boot/plymouth/plymouth-9999.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-SRC_URI="https://dev.gentoo.org/~aidecoe/distfiles/sys-boot/plymouth/gentoo-logo.png"
+SRC_URI="https://dev.gentoo.org/~aidecoe/distfiles/${CATEGORY}/${PN}/gentoo-logo.png"
if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://anongit.freedesktop.org/git/plymouth"
@@ -47,6 +47,7 @@ DOC_CONTENTS="
"
PATCHES=(
+ "${FILESDIR}"/0.9.3-glibc-sysmacros.patch
)
src_configure() {